Temp Projects - Tasks #9788

Stock position report - Slow
03/04/2023 08:27 PM - Rijas P

Status: Closed Start date: 03/04/2023
Priority: Immediate Due date:

Assignee: Rijas P % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Muzammil,

Please note the Stock position report is very slow. Even we search 1 item it's taking approx 2 mins.

History

#1 - 03/06/2023 11:54 AM - MUZAMMIL S
- File stockpositionEuro.png added
- Assignee changed from MUZAMMIL S to Noufal K

Taking one minutes to generate report with the single barcode.Pleas advice.

Please find the attached screenshot for the reference.

#2 - 03/17/2023 11:16 AM - Noufal K

- Assignee changed from Noufal K to Mohamed Suhail

Subhail, did you check this?

#3 - 03/23/2023 01:40 AM - MUZAMMIL S

- Assignee changed from Mohamed Suhail to Rijas P

please update the status.

#4 - 03/28/2023 10:37 AM - Rijas P
- Assignee changed from Rijas P to MUZAMMIL S

It's taking 20 Seconds to search a single item

#5 - 03/30/2023 11:45 AM - MUZAMMIL S
- Assignee changed from MUZAMMIL S to Rijas P

Please check by item name, description, group and category search.

#6 - 07/17/2023 11:52 AM - Rijas P
- Assignee changed from Rijas P to MUZAMMIL S

Still the report is slow, Please resolve immediately this is an important screen for us.

#7 - 07/19/2023 02:54 PM - MUZAMMIL S
- Assignee changed from MUZAMMIL S to System Admins Team

Please retrieve the hardware spec of EURO central server

#8 - 07/19/2023 02:58 PM - Sharil Ali

- Assignee changed from System Admins Team to Amal P
Amal
Please do the needful.
#9 - 07/19/2023 03:04 PM - Amal P

- Status changed from New to In Progress

- Assignee changed from Amal P to System Admins Team

Architecture: x86_64
CPU op-mode(s):  32-bit, 64-bit

Byte Order: Little Endian
Address sizes: 46 bits physical, 48 bits virtual
CPU: 8

On-line CPU list: 0-7
Thread(s) per core: 1
Core(s) per socket: 8

Socket(s): 1

NUMA node(s): 1

Vendor ID: Genuinelntel

CPU family: 6

Model: 79

Model name: Intel(R) Xeon(R) CPU E5-2609 v4 @ 1.70GHz
Stepping: 1

CPU MHz: 1697.977

CPU max MHz: 1700.0000
CPU min MHz: 1200.0000

BogoMIPS: 3395.95
Virtualization: VT-x

L1d cache: 32K

L1i cache: 32K

L2 cache: 256K

L3 cache: 20480K

NUMA node0 CPU: 0-7
os - openSUSE Leap

RAM - 15G
SWAP - 4.0G

#10 - 07/19/2023 03:17 PM - MUZAMMIL S
Sharil,

Euro testing server instance also running on the same server which leads to report generation issue.

Are you recommend to increase the RAM to improve the performance.

#11 - 07/19/2023 03:31 PM - Amal P
ADEMPIERE_JAVA_OPTIONS=-Xms1024M -Xmx2040M

#12 - 07/20/2023 01:58 PM - Sharil Ali

- Assignee changed from System Admins Team to Amal P

Amal

Please update the status.

#13 - 07/20/2023 01:59 PM - Amal P

- Assignee changed from Amal P to System Admins Team

posibolt java memory increased to 4GB.
ADEMPIERE_JAVA_OPTIONS=-Xms1024M -Xmx4090M.

also test server stopped.

#14 - 07/20/2023 02:01 PM - Sharil Ali
- Assignee changed from System Admins Team to MUZAMMIL S
#15 - 07/31/2023 11:43 AM - MUZAMMIL S
- Assignee changed from MUZAMMIL S to Rijas P

Visited the office and advice to change the RAM.

#16 - 08/18/2023 10:22 AM - Rijas P

- Assignee changed from Rijas P to Peer Thanesh

We increased RAM 32 GB in our server. As per checking currently taking 19 Seconds to search one item from Stock position report [Previous it was
23 Sec]. Please check and let us know if there are ways to improve performance.

#17 - 08/25/2023 11:08 AM - Peer Thanesh

- Assignee changed from Peer Thanesh to System Admins Team

Please check this issue

#18 - 08/25/2023 11:17 AM - Sharil Ali

- Assignee changed from System Admins Team to jidhin kp

Jidhin

Please share the slow running queries with dev team.Also share posibolt JAVA memory.

#19 - 08/25/2023 11:31 AM - jidhin kp
Noted

#20 - 08/25/2023 12:00 PM - jidhin kp
- File euro_ExpensiveQuery.txt added
Expensive Queries of more than 5,000 ms is Attached

Current ram : 46Gb
Java memmory : ADEMPIERE_JAVA_OPTIONS=-Xms1024M -Xmx4090M

#21 - 08/25/2023 12:00 PM - jidhin kp

- Assignee changed from jidhin kp to System Admins Team

#22 - 08/26/2023 10:17 AM - Sharil Ali

- Assignee changed from System Admins Team to Noufal K

#23 - 08/28/2023 10:04 AM - Noufal K

- Assignee changed from Noufal K to System Admins Team

Sharil, Did we update the postgres and posibolt memory after upgrading RAM?

#24 - 08/28/2023 10:39 AM - Sharil Ali

- Assignee changed from System Admins Team to Ahamed Danish
Danish

Please check and update.

#25 - 08/28/2023 12:45 PM - Ahamed Danish

- Assignee changed from Ahamed Danish to Noufal K

Noufalka,
Postgres Tuning is done for accounting for 10GB RAM,Meanwhile the system has 46GB of Total RAM.

Sharilka,
Should | tune the database for 30GB RAM since both Adempieres uses 6GB RAM and | am leaving 10GB for system functions.
#26 - 08/28/2023 04:44 PM - Noufal K

- Assignee changed from Noufal K to System Admins Team

make postgres 12 GB and 10 GB to Posibolt live.

#27 - 08/28/2023 05:31 PM - Ahamed Danish

- Assignee changed from System Admins Team to ShabeerAli Tp

Shabeer,

| have tuned postgres for 122GB RAM ,you just need to restart database and allocate 10GB to live server after shop hours today.

#28 - 08/28/2023 05:32 PM - ShabeerAli Tp

noted

#29 - 08/29/2023 12:46 AM - ShabeerAli Tp

- Assignee changed from ShabeerAli Tp to System Admins Team

Euro live posibolt memory increased 10GB.

ADEMPIERE_JAVA_OPTIONS=-Xms1024M -Xmx10240M -Djava.library.path\=/usr/local/apr/lib/ -Dorg.apache. jasper.Const
ants.DEFAULT_TAG_BUFFER_SIZE\=2048 -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER\=true -XX\:+HeapDu

mpOnOutOfMemoryError

.Also restarted postgres

#30 - 08/30/2023 10:29 AM - Sharil Ali

- Assignee changed from System Admins Team to MUZAMMIL S
Muzammil

Please verify the report from your side.

#31 - 09/05/2023 04:26 PM - MUZAMMIL S

1.Searching single item take 20 seconds.
2.Searching by category take 7 seconds.

#32 - 09/05/2023 04:26 PM - MUZAMMIL S

- Assignee changed from MUZAMMIL S to Rijas P
Rijas,

Please check from your side.

#33 - 09/26/2023 09:48 AM - Rijas P

- Status changed from In Progress to Closed

#34 - 05/21/2024 04:05 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files

stockpositionEuro.png 88.6 KB 03/06/2023 MUZAMMIL S

euro_ExpensiveQuery.txt 253 KB 08/25/2023 jidhin kp
